var selectedRow = "undefined";

function HighlightRow(rowNumber)
{
 var targetRow = eval( "document.getElementById(\"" + rowNumber + "\")");
 targetRow.bgColor = "#FFFFC0";
}

function UnHighlightRow(rowNumber)
{
 var targetRow = eval( "document.getElementById(\"" + rowNumber + "\")");
 targetRow.bgColor = "white";
}

function SelectRow(rowID)
{
 if (rowID != "") {
   // If the selected row hasn't changed then leave now. This prevents an
   // unneeded reload of unchanged info if the start button on a selected
   // tasklist row is pressed.
   if (selectedRow == rowID)
     return;
   // unhighlight the previously selected row, if any
   if (selectedRow != "undefined")
     UnHighlightRow(selectedRow);
   // highlight selected row
   HighlightRow(rowID);
   selectedRow = rowID;
 } else
   rowID = -1;
}

function runProcess(processid, alertid, numParams) {
  window.open('process.lsw','Alert_Process','height=560,width=650,scrollbars=yes,resizable=yes').focus();
  document.alertForm.zProcessId.value = processid;

  // We search for the parameters that belong to the current alert and rename them so that
  // they begin with "tw_local_" (Teamworks will only recoginze parameters beginning with this string)
  for(i = 0;i < numParams; i++) {
    var id = "param" + alertid + "_";
    var obj = document.getElementById(id + i);
    if (obj != null) {
  	  var curName = obj.getAttribute("name");
  	  obj.setAttribute("name", curName.substring(id.length));
    }
  }

  document.alertForm.submit();
}

function showDetail(alertid) {
  window.open('dummy.lsw?zPageController=1&zType=alert&zTemplate=alertdetail&zAlertId=' + alertid,'Alert_Detail','height=630,width=680,scrollbars=yes,resizable=yes').focus();
}

function showFilter(opener) {
  var win = window.open('alert_filter.lsw','Alert_Filter','height=340,width=500,scrollbars=yes,resizable=yes');
  if (opener == "console") {
    win.opener = top.prefcontent;
  } else {
    win.opener = top;
  }
  win.focus();
}

function doPeriod() {

  var obj = document.alertForm.periodfilter;
  if ((obj.value == null) || (obj.value == ""))
    deleteCookie("alert_filter_period");
  else
    setCookie("alert_filter_period", obj.value);

  document.location.reload(true);
}

function init() {

  var val = getCookie("alert_filter_period");
  if (val != null) document.alertForm.periodfilter.value = val;

  // Adjust the header for the scrollbar width
//  var objHeader = document.getElementById("header");
//  var objBody = document.getElementById("body");
//  var scrollBarWidth = objBody.offsetWidth - objBody.clientWidth;
//  if (scrollBarWidth == 0) scrollBarWidth++;
//  objHeader.rows[0].cells[5].style.width = scrollBarWidth;
  
  sortIcon();
}

// Initialize SORT column and direction
var column = getCookie("alert_sort_column");
if (column == null) {
  setCookie("alert_sort_column", "POST_DATE");
  setCookie("alert_sort_direction", "1");
}

// dir = 1 is ascending, dir = 0 is descending
function sortColumn(column) {
 var curColumn = getCookie("alert_sort_column");
 // Clear out current sort icon
 var obj1 = document.getElementById(curColumn + "_ASC");
 var obj2 = document.getElementById(curColumn + "_DESC");
 if (obj1 != null && obj2 != null) {
   obj1.style.display = "none";
   obj2.style.display = "none";
 }

 setCookie("alert_sort_column", column);
 var dir = getCookie("alert_sort_direction");
 // If a direction is not defined yet or we have clicked a different column then set the direction
 if ((dir == null)  || (curColumn != column)) dir = "0";
 dir = dir ^ 1;
 setCookie("alert_sort_direction", dir);

 // We call sortIcon() now so that we get immediate feedback, knowing that it gets called again after the task list is loaded
 sortIcon();

 document.location.reload(true);
}

function sortIcon() {
  var curColumn = getCookie("alert_sort_column");
  var obj1 = document.getElementById(curColumn + "_ASC");
  var obj2 = document.getElementById(curColumn + "_DESC");
  if (obj1 != null && obj2 != null) {
    var dir = getCookie("alert_sort_direction");
    if (dir == "1"){
  	  obj1.style.display = "";
  	  obj2.style.display = "none";
    } else {
	  obj2.style.display = "";
	  obj1.style.display = "none";
    }
  }
}
