var coach_desiger_dup_req = "IBM BPM is processing your data. Please wait.";
var coachDesigner_link_edit = "Edit";
var coachDesigner_link_cancel = "Cancel";
var coachDesigner_link_save = "Save";
var coachDesigner_link_delete = "Delete";

if (!window._BPM_portalContextRoot) window._BPM_portalContextRoot = "/portal";

// get the message at here for datetimepicker
// do not want to setup http get again at the datetimepicker.js
var datetimepicker_calendar_alt_msg = "calendar";

// Get the JS message from the servlet
var jsonResURL = "jsonResBundleLoader?bundle=JavaScriptMessages";

try{
dojo.xhrGet( {
    url: jsonResURL,
    handleAs: "json",
    load: function(responseObject, ioArgs) {
		coach_desiger_dup_req = responseObject.coach_desiger_dup_req;	
		datetimepicker_calendar_alt_msg = responseObject.datetimepicker_calendar_alt_msg;	
		coachDesigner_link_edit = responseObject.coachDesigner_link_edit;
		coachDesigner_link_cancel = responseObject.coachDesigner_link_cancel;
		coachDesigner_link_save = responseObject.coachDesigner_link_save;
		coachDesigner_link_delete = responseObject.coachDesigner_link_delete;		
    }
});
}catch(err){
	//call will be failed if no security context, 
	//if do not catch, the failure will block the preview at the AE
	//do nothing at here, the validation messages will be default(en) at this case
}

//
// Find first <BUTTON type="submit"> element for theForm and click it.
// IE calls onSubmit() and not onClick() if submit form by hitting enter.
//
function clickSubmitOnSubmit(theForm){
    theForm.onsubmit = function nobubble() {return false; }; // prevent mirror POST
    if (!document.all) return; // don't proc further for non IE browsers
    if (formSubmitted) return; // double check if submited on enter+click
	// Try to use the clicked button to submit if there is
	if (saveClickedButton != null && saveClickedButton.type == 'submit')
	{
	    saveClickedButton.click();
		return;
	}
    var buttons = theForm.getElementsByTagName('BUTTON'); // get buttons
    for (var i = 0; i < buttons.length; i++) {
        if (buttons[i].type == 'submit') { // that can submit
            buttons[i].click(); // click topmost one and return
            return;
        }
    }
}

// Used in conjunction with selectRow. Custom html hyperlinks and buttons in tables can use this to make sure the
// row containing the hyperlink or button is selected. Call from an onclick.
function ensureSelection(object, selectionType, hasControl, index) {
    var theRow = object;
    while (theRow.nodeName != 'TR') {
        theRow = theRow.parentNode;
    }
    var currentClass = theRow.className;
    if (currentClass.lastIndexOf(' selectedRow') != -1) {
        selectRow(theRow, selectionType, hasControl, index);
    }
}

// selectionType is single or multiple
// hasControl is true if the row has a visible control (checkbox or radio button)
// index is the number of the row in the table that has been selected or deselected
// duringPageLoad is true when called during page loading to set initial selections,
// it is undefined otherwise.
function selectRow(object, selectionType, hasControl, index, duringPageLoad, disableDeselect) {
  var theRow = object;
  while (theRow.nodeName != 'TR') {
    theRow = theRow.parentNode;
  }
  var theTableBody = theRow.parentNode;
  var theTable = theTableBody.parentNode;

  // Don't do anything if the table is disabled. (during page loading we need to run the code to set the initial values)
  if (!duringPageLoad && theTable.com_lombardisoftware_disabled && theTable.com_lombardisoftware_disabled == 'true') {
    return;
  }

  if (selectionType == 'single') {
    // Deselect all rows apart from the one clicked in
    var allRows = theTableBody.childNodes;
    for (var i = 0; i < allRows.length; ++i) {
      var aRow = allRows.item(i);
      if (aRow.nodeName == 'TR') {
        var currentClass = aRow.className;
        if (currentClass.lastIndexOf(' selectedRow') != -1) { // WLE-5552 This will force the table to unselect all rows in single selection mode and then select single one.
          aRow.className = currentClass.substring(0, currentClass.length - ' selectedRow'.length);
        }
      }
    }
  }

  // For table with dynamic data we should get index from 'selectionIndex' attribute
  // which should be defined for dynamically generated table row (see refreshTable function).
  if (typeof theRow.selectionIndex != 'undefined') {
    index = theRow.selectionIndex;
  }

  // Select or deselect the clicked row depending on its current selection state
  var selectionList = document.getElementById('TBL_SELECTION_LIST_' + theTable.id);
  var currentClass = theRow.className;
  if (currentClass.lastIndexOf(' selectedRow') == -1) {
    // Select
    theRow.className = currentClass + ' selectedRow';
    var control = theRow.getElementsByTagName('INPUT').item(0);
    if (hasControl) {
      control.checked = true;
    }
    if (selectionType == 'single') {
      selectionList.value = 'S^' + index;
    } else {
      selectionList.value = selectionList.value + index + '^';
    }
  } else if (disableDeselect == undefined || !disableDeselect){
    // Deselect
    theRow.className = currentClass.substring(0, currentClass.length - ' selectedRow'.length);
    var control = theRow.getElementsByTagName('INPUT').item(0);
    if (hasControl) {
      control.checked = false;
    }
    if (selectionType == 'single') {
      selectionList.value = 'S^';
    } else {
      selectionList.value = selectionList.value + '-' + index + '^';
    }
  }
}

function dualListSelect(button) {
  var control = button;
  while (control.nodeName != 'TABLE') {
    control = control.parentNode;
  }
  var fromList = control.getElementsByTagName('SELECT').item(0);
  var selectedValues = new Array();
  var options = fromList.getElementsByTagName('OPTION');
  for (var i = 0; i < options.length; ++i) {
    if (options[i].selected) {
      selectedValues[selectedValues.length] = options[i].value;
    }
  }
  for (var i = 0; i < selectedValues.length; ++i) {
    selectValue(control, selectedValues[i]);
  }
  return false;
}

function dualListDeselect(button) {
  var control = button;
  while (control.nodeName != 'TABLE') {
    control = control.parentNode;
  }
  var toList = control.getElementsByTagName('SELECT').item(1);
  var selectedValues = new Array();
  var options = toList.getElementsByTagName('OPTION');
  for (var i = 0; i < options.length; ++i) {
    if (options[i].selected) {
      selectedValues[selectedValues.length] = options[i].value;
    }
  }
  for (var i = 0; i < selectedValues.length; ++i) {
    deselectValue(control, selectedValues[i]);
  }
  return false;
}

function selectValue(control, value) {
  if (value == undefined || control == undefined) {
    return;
  }
  value = value.replace(/&apos;/g, "'").replace(/&quot;/g,'"');
  switch (control.nodeName) {
    case 'SELECT':
      selectOptionValue(control, value);
      break;
    case 'DIV':
      selectRadioOrCheckValue(control, value);
      break;
    case 'TABLE':
      selectTwoLists(control, value);
      break;
  }
}

function deselectValue(control, value) {
  if (value == undefined) {
    return;
  }
  switch (control.nodeName) {
    case 'SELECT':
      deselectOptionValue(control, value);
      break;
    case 'DIV':
      deselectRadioOrCheckValue(control, value);
      break;
    case 'TABLE':
      deselectTwoLists(control, value);
      break;
  }
}

function selectOptionValue(control, value) {
  var options = control.getElementsByTagName('OPTION');
  for (var i = 0; i < options.length; ++i) {
    if (options[i].value == value) {
      options[i].selected = true;
      break;
    }
  }
}

function selectRadioOrCheckValue(control, value) {
  var inputs = control.getElementsByTagName('INPUT');
  for (var i = 0; i < inputs.length; ++i) {
    if ((inputs[i].type == 'radio' || inputs[i].type == 'checkbox') && inputs[i].value == value) {
      inputs[i].checked = true;
      var fcnName = "fcnDV" + control.getAttribute("id");
      try {
        var fcn = eval(fcnName);
        fcn(inputs[i], true);
      } catch (e) { }
      break;
    }
  }
}

function selectTwoLists(control, value) {
  var fromList = control.getElementsByTagName('SELECT').item(0);
  var toList = control.getElementsByTagName('SELECT').item(1);
  var options = fromList.options;
  var selectedOption;
  for (var i = 0; i < options.length; ++i) {
    if (options[i].value == value) {
      selectedOption = options[i];
      options[i].selected = false;
      fromList.remove(i);
      break;
    }
  }
  if (selectedOption) {
    rebuildSelect(control, toList, selectedOption);
  }
}

function deselectOptionValue(control, value) {
  var options = control.getElementsByTagName('OPTION');
  for (var i = 0; i < options.length; ++i) {
    if (options[i].value == value) {
      options[i].selected = false;
      break;
    }
  }
}

function deselectRadioOrCheckValue(control, value) {
  var inputs = control.getElementsByTagName('INPUT');
  for (var i = 0; i < inputs.length; ++i) {
    if ((inputs[i].type == 'radio' || inputs[i].type == 'checkbox') && inputs[i].value == value) {
      inputs[i].checked = false;
      break;
    }
  }
}

function deselectTwoLists(control, value) {
  var fromList = control.getElementsByTagName('SELECT').item(0);
  var toList = control.getElementsByTagName('SELECT').item(1);
  var options = toList.options;
  var selectedOption;
  for (var i = 0; i < options.length; ++i) {
    if (options[i].value == value) {
      selectedOption = options[i];
      selectedOption.selected = false;
      toList.remove(i);
      break;
    }
  }
  if (selectedOption) {
    rebuildSelect(control, fromList, selectedOption);
  }
}

function rebuildSelect(control, list, selectedOption) {
  var selectedOptions = new Array();
  for (var i = 0; i < list.options.length; ++i) {
    selectedOptions[list.options[i].value] = 1;
  }
  selectedOptions[selectedOption.value] = 1;
  list.options.length = 0;
  for (var i = 0; i < control.twAllOptions.length; ++i) {
    if (selectedOptions[control.twAllOptions[i].value]==1) {
      list.options[list.options.length] = control.twAllOptions[i];
    }
  }
  recordSelectedOptions(control);
}

function  recordSelectedOptions(control) {
  var toList = control.getElementsByTagName('SELECT').item(1);
  var selectedOptions = toList.getElementsByTagName('OPTION');
  var hiddenInput = document.getElementById('MLT_SELECTION_LIST_' + control.id);
  hiddenInput.value = ' ';
  for (var i = 0; i < selectedOptions.length; ++i) {
    if(i == 0){
      hiddenInput.value += selectedOptions[i].value;
    } else {
      hiddenInput.value += '|--s@p*r*t0r--!|' + selectedOptions[i].value;
    }
  }
}


/**
 * Invoked on traversal to set a control to 'NONE' visibility state.
 *
 * NOTE: For internal use only.
 * @see setVisibilityImpl(element, visibility)
 */
function applyVisibilityNone(element, arg) {
  optionalImpl(element, false);
  setTextInputClass(element, 'inputText_None');
}

/**
 * Invoked on traversal to set a control to 'READ' visibility state
 *
 * NOTE: For internal use only.
 * @see setVisibilityImpl(element, visibility)
 */
function applyVisibilityRead(element, arg) {
  disableImpl(element, false);
  optionalImpl(element, false);
  setTextInputClass(element, 'inputText_Dis');
}

/**
 * Invoked on traversal to set a control to 'REQUIRED' visibility state
 *
 * NOTE: For internal use only.
 * @see setVisibilityImpl(element, visibility)
 */
function applyVisibilityRequired(element, arg) {
  enableImpl(element, false);
  requiredImpl(element, false);
  setTextInputClass(element, 'inputText_Req');
}

/**
 * Invoked on traversal to set a control to 'FULL' (default) visibility state
 *
 * NOTE: For internal use only.
 * @see setVisibilityImpl(element, visibility)
 */
function applyVisibilityFull(element, arg) {
  enableImpl(element, false);
  optionalImpl(element, false);
  setTextInputClass(element, 'inputText_Full');
}

/**
 * Apply the given operation for the given element(control) and it's sub-elements.
 * The function excludes elements that already did override visibility state.
 *
 * NOTE: For internal use only.
 * @see setVisibilityImpl(element, visibility)
 * @see registerChanges(element)
 */
function applyRecursively(operation, element, arg) {
  // Apply the operation
  operation(element, arg);

  // Optimization: short circuit if the element is of type select
  if(element.nodeName == 'SELECT') {
    return;
  }

  var childNodes = element.childNodes;
  var childNodesCount = childNodes.length;
  for (var i = 0; i < childNodesCount; ++i) {
    var childNode = childNodes[i];
    if (childNode.nodeType == 1 && !isChanged(childNode)) {
      applyRecursively(operation, childNode, arg);
    }
  }
}

function setVisibility(element, visibility) {
  element = getDateElementIfDateSelector(element);
  setVisibilityImpl(element, visibility);
  registerChanges(element);
}

function setVisibilityNoRecursivity(element, visibility) {
  element = getDateElementIfDateSelector(element);
  setVisibilityOverride(element, visibility);
}

/**
 * Override the visibility state for the given element(control) and it's sub-elements.
 * The function adds the given element to visibility state override registry so the element
 * is excluded from traversal when visibility is updated.
 *
 * @see setVisibilityImpl(element, visibility)
 */
function setVisibilityOverride(element, visibility) {
  // Optimization: short circuit if the element is already displayed and the requested visibility is FULL
  if(visibility == 'FULL' && element.style.display == '') {
    // This method can be called from a path where the element has just been changed, so register the changes
    registerChanges(element);
    return;
  }
  // Optimization: short circuit if the element is not already displayed and the requested visibility is NONE
  if(visibility == 'NONE' && element.style.display == 'none') {
    // This method can be called from a path where the element has just been changed, so register the changes
    registerChanges(element);
    return;
  }
  setVisibilityImpl(element, visibility);
  registerChanges(element);
}

/**
 * Set the given visibility state for the given element(control) and it's sub-elements.
 * This function should NOT be invoked recursively.
 *
 * NOTE: For internal use only.
 * @see setVisibilityImpl(element, visibility)
 */
function setVisibilityImpl(element, visibility) {
  switch (visibility) {
    case 'NONE':
      hide(element);
      applyRecursively(applyVisibilityNone, element, visibility);
      break;
    case 'READ':
      show(element);
      applyRecursively(applyVisibilityRead, element, visibility);
      break;
    case 'REQUIRED':
      show(element);
      applyRecursively(applyVisibilityRequired, element, visibility);
      break;
    default:
      show(element);
      applyRecursively(applyVisibilityFull, element, visibility);
      break;
  }
}

//Registry of controls that were changed due to overriding of visibility
//This table is required because storing of "changed" property in a "input" JS object
//doesn't always work properly, presumably because of inlined "<script>" fragments.
//
//See functions: registerChanges(element), isChanged(element)
var changedControls = [];

function registerChanges(element) {
 registerChanges0(element);
 
	if (element.nodeName.toLowerCase() == 'input') {
	    // Find a hidden input field associated with the given input field, this hidden
	    // field defines format for the input field. If the hidden field exists then
	    // register it as changed because it also should be transferred along with
	    // master input field.
	    var formatControl = element.ownerDocument.getElementById(element.id + "_Format");
	    if (formatControl != null && formatControl.hidden == 'true') {
	        registerChanges0(formatControl);
	    }
	}    
}

function registerChanges0(element) {
 element.changed = true;
 changedControls[element.id] = true;
}

function isChanged(element) {
 return element.changed || changedControls[element.id] == true;
}

// control is an HTML element representing a control
function optional(control) {
  optionalImpl(control, true);
}

function optionalImpl(control, recursively) {
  switch (control.nodeName) {
    case 'INPUT':
      optionalInput(control);
      break;
    case 'TEXTAREA':
      optionalTextArea(control);
      break;
    case 'SELECT':
      optionalSelect(control);
      break;
    case 'TABLE':
      optionalTable(control, recursively);
      break;
    case 'DIV':
      optionalDiv(control, recursively);
      break;
  }
}

function optionalInput(control) {
    control.zrequired = false;
}

function optionalTextArea(control) {
    control.zrequired = false;
}

function optionalSelect(control) {
    control.zrequired = false;
}

function optionalTable(control, recursively) {
  if (recursively != undefined && recursively == true) {
    dojo.forEach(control.childNodes, function(n) {applyRecursively(optionalImpl, n, recursively);});
  }
}

function optionalDiv(control, recursively) {
  if (recursively != undefined && recursively == true) {
    dojo.forEach(control.childNodes, function(n) {applyRecursively(optionalImpl, n, recursively);});
  }
}

// control is an HTML element representing a control
function required(control) {
  requiredImpl(control, true);
}

function requiredImpl(control, recursively) {
  switch (control.nodeName) {
    case 'INPUT':
      requiredInput(control);
      break;
    case 'TEXTAREA':
      requiredTextArea(control);
      break;
    case 'SELECT':
      requiredSelect(control);
      break;
    case 'TABLE':
      requiredTable(control, recursively);
      break;
    case 'DIV':
      requiredDiv(control, recursively);
      break;
  }
}

function requiredInput(control) {
    control.zrequired = true;
    if (!control.zprompt) {
        control.zprompt = 'Field';
    }
}

function requiredTextArea(control) {
    control.zrequired = true;
    if (!control.zprompt) {
        control.zprompt = 'Field';
    }
}

function requiredSelect(control) {
    control.zrequired = true;
    if (!control.zprompt) {
        control.zprompt = 'Field';
    }
}

function requiredTable(control, recursively) {
  if (recursively != undefined && recursively == true) {
    dojo.forEach(control.childNodes, function(n) {applyRecursively(requiredImpl, n, recursively);});
  }
}

function requiredDiv(control, recursively) {
  if (recursively != undefined && recursively == true) {
    dojo.forEach(control.childNodes, function(n) {applyRecursively(requiredImpl, n, recursively);});
  }
}

// control is an HTML element representing a control
function disable(control) {
  disableImpl(control, true);
}

function disableImpl(control, recursively) {
  switch (control.nodeName) {
    case 'INPUT':
      disableInput(control);
      break;
    case 'TEXTAREA':
      disableTextArea(control);
      break;
    case 'SELECT':
      disableSelect(control);
      break;
    case 'TABLE':
      disableTable(control, recursively);
      break;
    case 'DIV':
      if (dojo.hasClass(control, 'twDateSelector')) {
        disableDatePicker(control);
      } else {
        disableDiv(control, recursively);
      }
      break;
    case 'BUTTON':
      control.disabled = 'true';
      break;
  }
}

function disableDatePicker(control) {
  var dijitControlId = control.id.substr("dateWrap-".length);
  dijit.byId(dijitControlId).setDisabled(true);
}

function disableInput(control) {
  switch (control.type) {
    case 'radio':
      control.disabled = 'true';
      break;
    case 'checkbox':
      control.disabled = 'true';
      break;
    default:
      if (control.type == 'hidden' && control.name.indexOf('BOOLEAN_FOR_') == 0) {
          control.value = '#IGNORE#';
      }
      control.readOnly = 'true';
      control.disabled = 'true';
      break;
  }
}

function disableTextArea(control) {
  control.readOnly = 'true';
  control.style.color = "#A0A0A0";
}

function disableSelect(control) {
  control.disabled = 'true';
}

function disableTable(control, recursively) {
  if (recursively != undefined && recursively == true) {
    dojo.forEach(control.childNodes, function(n) {applyRecursively(disableImpl, n, recursively);});
  }
  // somehow switch off selection
  control.com_lombardisoftware_disabled = 'true';
}

function disableDiv(control, recursively) {
  if (recursively != undefined && recursively == true) {
    dojo.forEach(control.childNodes, function(n) {applyRecursively(disableImpl, n, recursively);});
  }
}

function enableRecursively(control) {
  applyRecursively(enableImpl, control, true);
}

function enable(control) {
  enableImpl(control, true);
}

function enableImpl(control, recursively) {
  switch (control.nodeName) {
    case 'INPUT':
      enableInput(control);
      break;
    case 'TEXTAREA':
      enableTextArea(control);
      break;
    case 'SELECT':
      enableSelect(control);
      break;
    case 'TABLE':
      enableTable(control, recursively);
      break;
    case 'DIV':
      // if it's a dijit control
      if (dojo.hasClass(control, 'twDateSelector')) {
        enableDatePicker(control);
      } else {
        enableDiv(control, recursively);
      }
      break;
    case 'BUTTON':
      control.removeAttribute('disabled');
      break;
  }
}

function enableDatePicker(control) {
  var dijitControlId = control.id.substr("dateWrap-".length);
  dijit.byId(dijitControlId).setDisabled(false);
}

function enableInput(control) {
  switch (control.type) {
    case 'radio':
      control.removeAttribute('disabled');
      break;
    case 'checkbox':
      control.removeAttribute('disabled');
      break;
    default:
      //if (control.type == 'hidden' && control.name.indexOf('BOOLEAN_FOR_') == 0) {
      //    control.value = ' ';
      //}
      control.removeAttribute('readOnly');
      control.removeAttribute('disabled');
      break;
  }
}

function enableTextArea(control) {
  control.removeAttribute("readOnly");
  control.style.color = "#000000";
}

function enableSelect(control) {
  control.removeAttribute('disabled');
}

function enableTable(control, recursively) {
  if (recursively != undefined && recursively == true) {
    dojo.forEach(control.childNodes, function(n) {applyRecursively(enableImpl, n, recursively);});
  }
  // somehow switch on selection
  control.com_lombardisoftware_disabled = 'false';
}

function enableDiv(control, recursively) {
  if (recursively != undefined && recursively == true) {
    dojo.forEach(control.childNodes, function(n) {applyRecursively(enableImpl, n, recursively);});
  }
}

function setTextInputClass(control, newClass) {
  if (control.nodeName == 'INPUT' && control.type == 'text') {
    // Look for inputText_Full and change it to inputText_Dis
    var currentClass = control.className;

    var classesArray = ['inputText_Full', 'inputText_Req', 'inputText_None', 'inputText_Dis'];

    var alreadySet = false;
    if (currentClass.lastIndexOf(newClass) != -1) {
      alreadySet = true;
    }

    for (var i=0; i<classesArray.length; ++i) {
      if (newClass != classesArray[i] && currentClass.lastIndexOf(classesArray[i]) != -1) {
        if (!alreadySet) {
          control.className = currentClass.replace(classesArray[i] ,newClass);
          alreadySet = true;
        } else {
          // Do not set mutliple classes of the same name
          control.className = currentClass.replace(classesArray[i] ,'');
        }
      }
    }
  }
}

/**
 * Hide the given control without traversing of sub-controls
 */
function hide(control) {
  control.style.display = 'none';

  var controlId = getControlId(control);
  if (dojo.hasClass(control, 'twDateSelector')){
    controlId = control.id.substr("dateWrap-".length);    
}
  var labelId = controlId + '_Label';
  var label = document.getElementById(labelId);
  if (label && label.id == labelId) {
    label.style.display = 'none';
  } else { // toggle widget generated via dojo.
    toggleWidget(controlId, 'none');
  }
  // Optimization: the following line must be commented for the coach performance optimizations to work properly
  // hideRowIfPossible(control);
}

function hideRowIfPossible(control) {
   var parent = control;
   do {
      parent = parent.parentNode;
   } while (parent && parent.tagName != 'TR');
   if (parent) {
     if (allRowContentsAreHidden(parent)) {
       parent.style.display = 'none';
     }
   }
}

function allRowContentsAreHidden(row) {
    var children = row.childNodes;
    for (var i = 0; i < children.length; ++i) {
        var child = children.item(i);
        if (child.nodeType == 1 && child.tagName == 'TD') {
            if (!allCellContentsAreHidden(child)) {
                return false;
            }
        }
    }
    return true;
}

function allCellContentsAreHidden(cell) {
    var children = cell.childNodes;
    for (var i = 0; i < children.length; ++i) {
        var child = children.item(i);
        if (child.nodeType == 1 && child.tagName != 'SCRIPT') {
            if (!child.style.display || child.style.display != 'none') {
                return false;
            }
        }
    }
    return true;
}

/**
 * Show the given control without traversing of sub-controls
 */
function show(control) {
  control.style.display = '';

  var controlId = getControlId(control);
  if (dojo.hasClass(control, 'twDateSelector')){
    controlId = control.id.substr("dateWrap-".length);    
  }
  var labelId = controlId + '_Label';
  var label = document.getElementById(labelId);
  if (label && label.id == labelId) {
    label.style.display = '';
  } else { // toggle widget generated via dojo.
    toggleWidget(controlId, '');
  }
  showRowIfNecessary(control);
}

/**
 * show or hide the widget generated by dojo.
 */
function toggleWidget(controlId, value) { 
  var label = document.getElementById(controlId + '_label');
  if (label) {
    label.style.display = value;
  } 
  var widget = document.getElementById('widget_' + controlId);
  if (widget) {
    widget.style.display = value;
  }
}

function showRowIfNecessary(control) {
   // It's always necessary as we've just shown a control.
   var parent = control;
   do {
      parent = parent.parentNode;
   } while (parent && parent.tagName != "TR");
   if (parent) {
     parent.style.display = '';
   }
}

var formSubmitted = false;
var saveClickedButton = null;
function isFormSubmitted(theElement, validate) {
  saveClickedButton = theElement;
  dojo.query("[name^='zButtonName']").attr("value", saveClickedButton.id);
  var form = findEnclosingForm(theElement);
  if (validate && !vldForm(form)) {
    return true;
  } else {
	// remove format from numbers

	try {

		Formatter.toNumbers();

	} catch (e) {}

  }
  if (formSubmitted) {
    alert(coach_desiger_dup_req);
    return true;
  } else {
    try {
      Formatter.toNumbers();
    } catch (e) {
    }
    if (preSubmit(form, theElement, validate)) {
	    formSubmitted = true;
	}
    return false;
  }
}

function preSubmit(form, control, validate) {
  for (var i = 0; i < form.elements.length; ++i) {
    if (form.elements[i].name == 'zButtonName') {
	  form.elements[i].value = control.name;
    }
    if (form.elements[i].name == 'zButtonId') {
      form.elements[i].value = control.getAttribute("buttonId");
    }
	
  }
  if (!validate && !commitFormFields(form)) {
    return false; 
  }
  return true;
}

function mostRestrictiveOf(newVis, curVis) {
  if (curVis == 'NONE') {
      return 'NONE';
  }
  if (curVis == 'READ') {
      if (newVis == 'NONE') {
         return 'NONE';
      } else {
         return 'READ';
      }
  }
  if (curVis == 'REQUIRED') {
      if (newVis == 'NONE') {
          return 'NONE';
      } else if (newVis == 'READ') {
          return 'READ';
      } else {
          return 'REQUIRED';
      }
  }
  return newVis; // handle curVis not set or == FULL
}


function calendarFormatFromJavaFormat(javaValue) {
    var patterns = {
        yyyy: "%Y", // four digit year
        yy: "%y",   // two digit year
        M: "%m",   // month 01 to 12
        MM: "%m",   // month 01 to 12
        MMM: "%b",  // abbreviated month name
        MMMM: "%B", // full month name
        ww: "%W",   // week number
        DD: "%j",   // day of year 001 to 366
        d: "%d",   // day of month 01 to 31
        dd: "%d",   // day of month 01 to 31
        EEE: "%a",  // abbreviated day of week name
        EEEE: "%A", // full day of week name
        aa: "%p",   // AM or PM
        HH: "%k",   // hour 0 to 23
        kk: "%K",   // hour 01 to 24
        hh: "%I",   // hour 01 to 12
        mm: "%M",   // minutes
        ss: "%S"    // seconds
    }
    var objs = [];
    var obj = {
        chars: undefined
    };
    objs.push(obj);
    for (var i = 0; i < javaValue.length; ++i) {
        var thisChar = javaValue.charAt(i);
        if (obj.chars) {
            if (thisChar == obj.chars.charAt(0)) {
                obj.chars += thisChar;
            } else {
                obj = {
                    chars: thisChar
                };
                objs.push(obj);
            }
        } else {
            obj.chars = thisChar;
        }
    }
    var calendarValue = "";
    for (var i = 0; i < objs.length; ++i) {
        if (objs[i].chars) {
            var patternValue = patterns[objs[i].chars];
            if (patternValue) {
                calendarValue += patternValue;
            } else {
                calendarValue += objs[i].chars;
            }
        }
    }
    return calendarValue;
}

function submitEnclosingForm(someElement) {
    var form = findEnclosingForm(someElement);
    if (form) {
        form.submit();
    }
}

function editRow(someElement) {
    var row = findEnclosingElement(someElement, 'TR');
    // if the link's name is "Edit", then change it to "Save"
    // next link change to "Cancel" 
    // read the second child is not robust enough, but we can not
    // cover all possible situations, this is better for performance
    if(someElement.childNodes[1].data == coachDesigner_link_edit){
        enableRecursively(row);
        someElement.childNodes[1].data = coachDesigner_link_save;
        var sib = findNextSiblingElement(someElement, 'A');
        if (sib) {
            sib.childNodes[1].data = coachDesigner_link_cancel;
            sib.name = '_CANCEL_EDIT_';
        } else {
            var separator = document.createTextNode('|');
            someElement.parentNode.appendChild(separator);
            var link = document.createElement('A');
            link.appendChild(document.createTextNode(coachDesigner_link_cancel));
            link.setAttribute('HREF', '#');
            link.setAttribute('NAME', '_CANCEL_EDIT_');
            link.setAttribute('onClick', 'if (!isFormSubmitted(this, true)) { submitEnclosingForm(this); } return false;');
            someElement.parentNode.appendChild(link);
        }
    }
    else {
        if(!isFormSubmitted(someElement, true)){
            submitEnclosingForm(someElement);
        }
    }    
}

function findEnclosingForm(someElement) {
    return findEnclosingElement(someElement, 'FORM');
}

function findEnclosingElement(someElement, elementNameToFind) {
    var parent = someElement;
    while (parent) {
        if (parent.nodeName == elementNameToFind) {
            return parent;
        }
        parent = parent.parentNode;
    }
    return undefined;
}

function findNextSiblingElement(someElement, elementNameToFind) {
    var sibling = someElement.nextSibling;
    while (sibling) {
        if (sibling.nodeName == elementNameToFind) {
            return sibling;
        }
        sibling = sibling.nextSibling;
    }
    return undefined;
}

function pageLoadOperations() {
  onPageLoad();
}


var functionsToRunOnPageLoad = new Array();

/**
 add listeners for body.onLoad event
*/
function addOnPageLoadFunction(functionToAdd) {
    functionsToRunOnPageLoad[functionsToRunOnPageLoad.length] = functionToAdd;
}

/**
  on body.onLoad event run all functions that was added by addOnPageLoadFunction() functions
*/

// updateIframeHeight ensures that when the view is opened in an iFrame
// in Social Portal it is sized correctly.
function updateIframeHeight() {
	if (document && document.body && document.body.offsetHeight) {
		var D = document;
		var firstHeight= Math.max(
			Math.max(D.body.scrollHeight, D.documentElement.scrollHeight),
			Math.max(D.body.offsetHeight, D.documentElement.offsetHeight),
			Math.max(D.body.clientHeight, D.documentElement.clientHeight)
		);
		var height = (parseInt(firstHeight) + 1);
		var msgBody={"resizeDashboardIframe":height};
		if (window.parent) {
			try  {
				window.parent.postMessage(dojo.toJson(msgBody), "*");
			} catch(e) {
				var messObj={origin: window.location.protocol + "//" + window.location.host,
										data: dojo.toJson(msgBody), 
										source: window};
				if (!!window.parent.onMessage && typeof window.parent.onMessage === 'function') {	
					window.parent.onMessage(messObj);
				}	
				
			}
		}
	}
}
function onPageLoad() {
	updateIframeHeight();
    for (i = 0; i < functionsToRunOnPageLoad.length; i++) {
        functionsToRunOnPageLoad[i]();
    }
}


var initialVisibilitySetupList = new Array();

function addInitialVisibilitySetup(element, visibility) {
  element.defaultVisibility = visibility;
  initialVisibilitySetupList.push(element); 
}

function setupInitialVisibility() {
  var root = document.getElementById("content");
  if (root) {
    root.style.display = 'none';
  }

  for (var i = 0, len = initialVisibilitySetupList.length; i < len; i++) { 
    var element = initialVisibilitySetupList[i];
    setVisibilityNoRecursivity(element, element.defaultVisibility);
  }

  setInitialVisibility();

  if (root) {
    root.style.display = '';
  }
   
   
}

function setInitialVisibility() {
    for (var i = 0; i < document.forms.length; ++i) {
        var theForm = document.forms[i];
        var theFormElements = theForm.elements;
        for (var j = 0, len = theFormElements.length; j < len; ++j) {
            var field = theFormElements[j];
            if (field.visibilityFunction) {
                try {
                    // It may be set but does not exist
                    var func = eval(field.visibilityFunction);
                    func(field, true);
                } catch(err) { }
            }
        }
    }
}

function visibilityConditionIsTrue(condition, fieldValue, testValue) {
    if (condition == 'in') {
        // testValue must be an array
        for (var i = 0; i < testValue.length; ++i) {
            if (compareValuesWithTypeConversion('eq', fieldValue, testValue[i])) {
                return true;
            }
        }
        return false;
    } else {
        return compareValuesWithTypeConversion(condition, fieldValue, testValue);
    }
}

function isArray(x) {
	return typeof(x)=='object' && typeof(x.length) == 'number';
}

function isNumber (obj) {
    if (undefined === obj || null === obj || obj == "" || obj == " ")
        return false;
    if (typeof obj == 'number')
        return true;
    return !isNaN(obj - 0);
}

function compareValuesWithTypeConversion(condition, fieldValue, testValue) {
    if (isNumber(fieldValue) && isNumber(testValue)) {
        return compareValues(condition, parseFloat(fieldValue), parseFloat(testValue));
    } else if (isArray(fieldValue) && isArray(testValue)) {
        if (fieldValue.length != testValue.length) {
	    	return false;		    
		} else {
	     	for ( i = 0; i < fieldValue.length; i++) {
				if (!compareValuesWithTypeConversion(condition, fieldValue[i], testValue[i])) {
					return false;
				}
	     	}
	     	return true;	
		}
    } else if (isArray(fieldValue) && !isArray(testValue)) {
		for ( i = 0; i < fieldValue.length; i++) {
			if (compareValues(condition, fieldValue[i], testValue)) {
				return true;
			}
	     }
		 return false;
	} else {
		return compareValues(condition, fieldValue, testValue);
    }
}


function compareValues(condition, fieldValue, testValue) {
    if (condition == 'eq') {
        return fieldValue == testValue;
    } else if (condition == 'ne') {
        return fieldValue != testValue;
    } else if (condition == 'gt') {
        return fieldValue > testValue;
    } else if (condition == 'lt') {
        return fieldValue < testValue;
    } else {
        return false;
    }
}

// toggle visibility of section and control icon
function fcnToggleHide(field) {
  if (document.getElementById(field).style.display == 'none') {
    fcnToggleHide_Show(field);
  } else {
    fcnToggleHide_Hide(field);
  }
}

function fcnToggleHide_Show(field) {
  // is hidden so show it and show hide button
  var fldImg = field + '_image_';
  document.getElementById( field).style.display = '';
  var currentImgSrc = document[fldImg].src;
  var pos = currentImgSrc.lastIndexOf("/");
  document[fldImg].src = currentImgSrc.substring(0, pos) + "/sortdesc.gif";
}

function fcnToggleHide_Hide(field) {
  // is visible so hide it and show show button
  var fldImg = field + '_image_';
  document.getElementById(field).style.display = 'none';
  var currentImgSrc = document[fldImg].src;
  var pos = currentImgSrc.lastIndexOf("/");
  document[fldImg].src = currentImgSrc.substring(0, pos) + "/nextpage.gif";
}

//New Time - Date Functions
function returnTimeFormatValue(javaTimeFormat) {
  if (javaTimeFormat.indexOf("a") > 0) {
    return ",timeFormat : \"12\"";
  }
  return "";
}


// [dFilter] - A Numerical Input Mask for JavaScript
// Written By Dwayne Forehand - March 27th, 2003
// Please reuse & redistribute while keeping this notice.

var dFilterStep

function dFilterStrip (dFilterTemp, dFilterMask)
{
    dFilterMask = replace(dFilterMask,'#','');
    for (dFilterStep = 0; dFilterStep < dFilterMask.length++; dFilterStep++)
        {
            dFilterTemp = replace(dFilterTemp,dFilterMask.substring(dFilterStep,dFilterStep+1),'');
        }
        return dFilterTemp;
}

function dFilterMax (dFilterMask)
{
        dFilterTemp = dFilterMask;
    for (dFilterStep = 0; dFilterStep < (dFilterMask.length+1); dFilterStep++)
        {
                if (dFilterMask.charAt(dFilterStep)!='#')
                {
                dFilterTemp = replace(dFilterTemp,dFilterMask.charAt(dFilterStep),'');
                }
        }
        return dFilterTemp.length;
}

function dFilter (key, textbox, dFilterMask)
{
        dFilterNum = dFilterStrip(textbox.value, dFilterMask);

        if (key==9)
        {
            return true;
        }
        else if (key==8&&dFilterNum.length!=0)
        {
                dFilterNum = dFilterNum.substring(0,dFilterNum.length-1);
        }
      else if ( ((key>47&&key<58)||(key>95&&key<106)) && dFilterNum.length<dFilterMax(dFilterMask) )
        {
        dFilterNum=dFilterNum+String.fromCharCode(key);
        }

        var dFilterFinal='';
    for (dFilterStep = 0; dFilterStep < dFilterMask.length; dFilterStep++)
        {
        if (dFilterMask.charAt(dFilterStep)=='#')
                {
                      if (dFilterNum.length!=0)
                      {
                        dFilterFinal = dFilterFinal + dFilterNum.charAt(0);
                          dFilterNum = dFilterNum.substring(1,dFilterNum.length);
                      }
                    else
                    {
                        dFilterFinal = dFilterFinal + "";
                    }
                }
                else if (dFilterMask.charAt(dFilterStep)!='#')
                {
                    dFilterFinal = dFilterFinal + dFilterMask.charAt(dFilterStep);
                }
//          dFilterTemp = replace(dFilterTemp,dFilterMask.substring(dFilterStep,dFilterStep+1),'');
        }


        textbox.value = dFilterFinal;
    return false;
}

function replace(fullString,text,by) {
// Replaces text with by in string
    var strLength = fullString.length, txtLength = text.length;
    if ((strLength == 0) || (txtLength == 0)) return fullString;

    var i = fullString.indexOf(text);
    if ((!i) && (text != fullString.substring(0,txtLength))) return fullString;
    if (i == -1) return fullString;

    var newstr = fullString.substring(0,i) + by;

    if (i+txtLength < strLength)
        newstr += replace(fullString.substring(i+txtLength,strLength),text,by);

    return newstr;
}

///////////////////////////////////////////////////////////////

function preciseValue(textbox,precision)
{
    var val = textbox.value;
    if (val == null) {
    val = "";
  } else if (!isNaN(val)) {
    val = Number(val);
    if (precision >= 0) {
      val = val.toFixed(precision);
    } else {
        //Needed for IE, firefox understands negative precision
        var prec = Math.pow(10,precision);
        val = Math.round(val*prec)/prec;
        val = String(val);
    }
  }
  textbox.value = val;
  return true;
}

var wikiWindow = null;

function openOnlineHelpWindow(taskId, action){
    var myUrl = "onlinehelp.lsw?action="+action+"&zTaskId="+taskId;
    if(wikiWindow && wikiWindow.open == true) {
          wikiWindow.location.href = myUrl;
    } else {
        wikiWindow = window.open(myUrl,'name');
    }
}

function checkOnlineHelpRefVisibility(taskId){
    if(taskId.substring(0,1) != "t"){
        var div = document.getElementById("onlineHelpRef");
        div.innerHTML = "";
        div.style.display = 'none';
    }
}

function doStartEvent(instanceId, flowObjectId) {
    if(!!instanceId){
	    instanceId = instanceId.trim();
	}
    dojo.xhrGet({
        url: window._BPM_portalContextRoot + "/jsp/inject?bpdInstanceId=" + instanceId + "&flowObjId=" + flowObjectId,
        handleAs: "xml",
        load: dojo.hitch(this, function(o) {
            var token = o.getElementsByTagName("TOKEN")[0]; // there should just one token
            if(token.getElementsByTagName("TASKID")[0] != null) {
                var task = token.getElementsByTagName("TASKID")[0]; // get first one, other ignore
                var taskid = null;
                if(isIE()) {
                	taskid = task.text; // just IE (for Firefox should be task.textContent)
                } else {
                	taskid = task.textContent;
                }
                // WLE-5262 ..Implemented the missing function...same fix was applied for 7.2 
                performPopupActionSingleWindow("teamworksruntask" + taskid, "process.lsw?zWorkflowState=1", "zTaskId=" + taskid, "height=600,width=720,scrollbars=yes,resizable=yes");
            } else {
                window.location.reload();
            }
        }),
        error: dojo.hitch(this, function(o) {
            alert("ERROR: Could not start event!");
        })
    });
}


// WLE-5262 ..Adding missing function. 
function performPopupActionSingleWindow(windowName, url, idString, windowParams) {
    if (url.indexOf('?') > -1) {
        url += '&';
    } else {
        url += '?';
    }
    if (typeof windowParams == "undefined") {
        windowParams = "height=380,width=340,scrollbars=no,resizable=no";
    }
    window.open(url + idString, windowName, windowParams).focus();
}

function isIE() {
	return navigator.userAgent.indexOf("MSIE") > -1;
}

function toggleNewPopup() {
    var item = document.getElementById('new');
    var shim = document.getElementById('newShim');
    if (item && shim) {
        if (item.style.display != "none" && item.style.display != "") {
            item.style.display = "none";
            shim.style.display = "none";
        } else {
            item.style.display = "block";
            shim.style.width = item.offsetWidth + "px";
            shim.style.height = item.offsetHeight + "px";
            shim.style.zIndex = item.style.zIndex - 1;
            shim.style.display = "block";
        }
    }
} 

function closeNewPopup() {
    var item = document.getElementById('new');
    var shim = document.getElementById('newShim');
    if (item && shim)
    {
        if (item.style.display != "none" && item.style.display != "") {
            item.style.display = "none";
            shim.style.display = "none";
        } 
    }
 }
 
 function updateSeparators() {
    var is_ie = /msie/i.test(navigator.userAgent) && !/opera/i.test(navigator.userAgent);
    if(is_ie) {
        var separators = getElementsByName_iefix("span", "separator");
    } else {
     var separators = document.getElementsByName("separator");
    }
    
     if(separators.length > 0) {
         separators[0].style.display = "none";
     }
 }

function getElementsByName_iefix(tag, name) {
    var elem = document.getElementsByTagName(tag);
    var arr = new Array();
    for(i = 0,iarr = 0; i < elem.length; i++) {
        att = elem[i].getAttribute("name");
        if(att == name) {
            arr[iarr] = elem[i];
            iarr++;
        }
    }
    return arr;
}

/************ START OF COACH 2.0 CODE *************/
// Below goes old code from coach 2.0 to support
// updates for dependent controls via AJAX services.
//
// Note: AJAX autocompletion is done via Dojo and does not use this code.

if (typeof tw == "undefined") {
 tw = {};
}

tw.coach = new Object();

function getHtmlElement(obj) {
if (typeof(obj) == "string") {
 return document.getElementById(obj);
}
return obj;
}

tw.coach.callService = function(service, params, callBack, snapshot) {
 if(snapshot == "" || snapshot == null) {
     // coachSnapshotContext is injected via the CoachDesigner.xsl
     snapshot = coachSnapshotContext;
 }
 var url = window._BPM_portalContextRoot + "/jsp/callService.do?serviceName=" + service + "&snapshotId=" + snapshot;
 callServiceImpl(url, params, callBack);
};

tw.coach.callServiceById = function(serviceId, params, callBack, snapshot) {
 if(snapshot == "" || snapshot == null) {
     // coachSnapshotContext is injected via the CoachDesigner.xsl
     snapshot = coachSnapshotContext;
 }
 var url = window._BPM_portalContextRoot + "/jsp/callService.do?serviceRef=" + serviceId + "&snapshotId=" + snapshot;
 callServiceImpl(url, params, callBack);
};

function callServiceImpl(url, params, callBack) {
   var parameters = "input=" + encodeURIComponent(params);
   var http_request = null;

   if (window.XMLHttpRequest) { // Mozilla, Safari,...
      http_request = new XMLHttpRequest();
      if (http_request.overrideMimeType) {
         http_request.overrideMimeType('text/xml');
      }
   } else if (window.ActiveXObject) { // IE
      try {
         http_request = new ActiveXObject("Msxml2.XMLHTTP");
      } catch (e) {
         try {
            http_request = new ActiveXObject("Microsoft.XMLHTTP");
         } catch (e) {}
      }
   }
   if (!http_request) {
      alert('Cannot create XMLHTTP instance');
      return false;
   }

   http_request.onreadystatechange = function() {
      if (http_request.readyState == 4) {
         if (http_request.status == 200) {
           var ret = new Object();
           var result = http_request.responseXML.getElementsByTagName("output");
           
           if (window.XMLHttpRequest && window.ActiveXObject && "load" in http_request.responseXML) {// necessary for IE7
		      http_request.responseXML.load(http_request.responseBody);
              result = http_request.responseXML.getElementsByTagName("output");
           }

           for (var i = 0 ; i < result.length ; i++) {
              var output = result[i];
              var name = output.getAttribute("name");
              ret[name] = parseValues(output.firstChild, ret);
           }
           callBack(ret);
        } else {
           // Error processing request.
        }
      }
   };
   http_request.open('POST', url, true);
   http_request.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
   http_request.setRequestHeader("Content-length", parameters.length);
   http_request.setRequestHeader("Connection", "close");
   http_request.send(parameters);
}

/**
* Parses values from TW variable values serialized into XML.
*/
function parseValues(xmlElement, ret) {

 var result;

 // Detect variable type.
 try {
    var type = xmlElement.getAttribute("type");
 } catch (e) {}

 if (type != null && type.indexOf("[]") > 0) {           // Variable is list.

   type = type.substring(0, type.length - 2 );
   result = new Array();

   var items = xmlElement.getElementsByTagName("item");
   for (var i = 0 ; i < items.length ; i++) {
       var item = items[i];
       if(item.childNodes.length > 0) {
         result[result.length] = parseValues(item, ret);
       }
   }

 } else {                                               // Variable is object or single value.

     if (xmlElement.childNodes.length > 1) {           // Variable is object.

         result = new Object();
         for (var i = 0 ; i < xmlElement.childNodes.length ; i++) {

             // Unwrap child nodes.
             if(xmlElement.childNodes[i].nodeType != 3) {
                 result[xmlElement.childNodes[i].tagName] = parseValues(xmlElement.childNodes[i], ret);
             }
         }
     } else {
            result = "";
            var firstChild = xmlElement.firstChild;
            if (firstChild != null ){
            	if (firstChild.data != null)
                    result = firstChild.data;  // Variable is single value.
            	else if (firstChild.nodeType != 3){
                    result = new Object();
                    result[firstChild.tagName] = parseValues(firstChild, ret);
                }
            }
     }
 }
 return result;
}

function registerDeferredOnInputChange(el) {
el = getHtmlElement(el);
// el.onkeyup = function(event) {
// add onkeyup event after possible exsiting event-handlers
addEventHandler(el, "onkeyup", function(event) {
 if (!event) {
   event = window.event;
 }
 if (el.deferredOnInputChangeTimer) {
   window.clearTimeout(el.deferredOnInputChangeTimer);
   el.deferredOnInputChangeTimer = 0;
 }
 var timerFunc = function() {
   if (el.refreshDependent) {
     if (el.deferredOnInputChangeTimer) {
       window.clearTimeout(el.deferredOnInputChangeTimer);
       el.deferredOnInputChangeTimer = 0;
     }
     el.refreshDependent();
   }
 }
 var pause = 1000; // 1 sec, pause after finishing typing
 el.deferredOnInputChangeTimer = window.setTimeout(timerFunc, pause);
});
}

tw.coach.refreshDependentElement = function (elementToUpdateId, serviceName, srcElementName, escapedCurrentValue, snapshot) {
 refreshDependentElementImpl(elementToUpdateId, srcElementName, function(inputValue, dataFunction) {
     tw.coach.callService(serviceName, "<input name=\"elementValue\"><variable name=\"inputVar\" type=\"String\">"+inputValue+"</variable></input>", dataFunction, snapshot);
 }, escapedCurrentValue);
}

tw.coach.refreshDependentElementById = function (elementToUpdateId, serviceId, srcElementName, escapedCurrentValue, snapshot) {
 refreshDependentElementImpl(elementToUpdateId, srcElementName, function(inputValue, dataFunction) {
     tw.coach.callServiceById(serviceId, "<input name=\"elementValue\"><variable name=\"inputVar\" type=\"String\">"+inputValue+"</variable></input>", dataFunction, snapshot);
 }, escapedCurrentValue);
}

String.prototype.escapeHTML = function () {
        return(
            this.replace(/&/g,'&amp;').
                replace(/>/g,'&gt;').
                replace(/</g,'&lt;').
                replace(/"/g,'&quot;')
        );
    };


function refreshDependentElementImpl(elementToUpdateId, srcElementName, callServiceFunction, escapedCurrentValue) {
 var srcElement = document.getElementById(srcElementName);
 var inputValue = srcElement.value;
 //DEBUG("into refreshDependentElement value is "+srcElement.value+"<br>");
 var inputValue = srcElement.value.escapeHTML();
 var dataFunction = function(data) {
     var newOptions = new Array();
     var newOptionsLength = 0;
     for(key in data){
         newOptions[newOptionsLength++] = data[key];
     }
     var el = document.getElementById(elementToUpdateId);

     if ((el.tagName == "P") || (el.tagName == "DIV") || (el.tagName == "SPAN")) {
         var strVal;
         // if it is array
         if (newOptionsLength > 1) {
           // all items are used
           for (var i=0; i<newOptions.length; i++) {
             strVal += newOptions[i] + ", ";
           }
         } else if(newOptionsLength == 1) {
           strVal = newOptions[0]
         } else {
           strVal = "";
         }
         el.innerHTML = strVal;
     }
     else if (el.tagName == "SELECT") {
     // adding new options
     el.options.length = 0;
     if(navigator.appName.indexOf("Explorer")!= -1) {
         for(var i=0; i < newOptions[newOptionsLength-1].length; i++) {
             var newOption = document.createElement("OPTION");
             el.options.add(newOption);
             newOption.innerText = newOptions[newOptionsLength-1][i].name;
             newOption.value = newOptions[newOptionsLength-1][i].value;
             if (newOption.value.escapeHTML() == escapedCurrentValue) { newOption.selected = true;}
         }
     } else {
         for(var i=0; i < newOptions[newOptionsLength-1].length; i++) {
             //DEBUG("add new option name = "+newOptions[i].name+", newOptions[i].value "+newOptions[i].value);
			 var nValue = newOptions[newOptionsLength-1][i].value;
             var optn = document.createElement("OPTION");
             optn.text = newOptions[newOptionsLength-1][i].name;
             optn.value = nValue;
             if (nValue && nValue.escapeHTML() == escapedCurrentValue) {
			    optn.selected = 'true'
			 }
             el.options.add(optn);
         }
     }
     }
     if(el.onchange) {
     el.onchange();
 }
 }
 result = callServiceFunction(inputValue, dataFunction);
}

tw.coach.refreshDependentTableElement = function (tableId, serviceName, srcElementId, snapshot) {
 refreshDependentTableElementImpl(tableId, srcElementId, function(inputValue, dataFunction) {
     tw.coach.callService(serviceName, "<input name=\"elementValue\"><variable name=\"inputVar\" type=\"String\">"+inputValue+"</variable></input>", dataFunction, snapshot);
 });
}

tw.coach.refreshDependentTableElementById = function (tableId, serviceId, srcElementId, snapshot) {
 refreshDependentTableElementImpl(tableId, srcElementId, function(inputValue, dataFunction) {
     tw.coach.callServiceById(serviceId, "<input name=\"elementValue\"><variable name=\"inputVar\" type=\"String\">"+inputValue+"</variable></input>", dataFunction, snapshot);
 });
}

function refreshDependentTableElementImpl(tableId, srcElementId, callServiceFunction){
 var srcElement = document.getElementById(srcElementId);
 var inputValue = srcElement.value.escapeHTML();
 //alert("into refreshDependentTableElement value is "+srcElement.value+"<br>");
 var dataFunction = function(data) {
     var newOptions = new Array();
     for(key in data){
         var valuesArray = data[key];
         refreshTable(tableId, valuesArray);
     }
 }
 result = callServiceFunction(inputValue, dataFunction);
}

var dynTableRegistry = new Array();

/**
 * TableCellData object contains information about a table cell:
 *   id - identifier of an element containing table cell value
 *   name - name which a table cell is bound to
 *   element - an element containing table cell value
 */
tw.coach.TableCellData = function(id, name, element) {
  this.id = id;
  this.name = name;
  this.element = element;
}

function refreshTable(tableId, valuesArray){
 var table = document.getElementById(tableId);

 var copyNode = dynTableRegistry[tableId];
 if (copyNode == "none" || !copyNode){
   copyNode = table.rows[table.rows.length-1].cloneNode(true);
   copyNode.className = copyNode.className.replace("oddRow","evenRow");
   dynTableRegistry[tableId] = copyNode;
 }

 var tableRows = table.getElementsByTagName("TR");
 var tableSelection;
 for(var indx = 0; indx < table.childNodes.length; indx++) {
     if(table.childNodes[indx].tagName == "TBODY"){
         tableSelection = table.childNodes[indx];
     }
 }

 var tableLength = tableRows.length;
 if(tableSelection != null) {
     for(rowIndx = 1; rowIndx < tableLength; rowIndx++ ){
        tableSelection.removeChild(tableRows[1]);
     }
 }

 for(var i=0; i < valuesArray.length; i++){

     var currentRowData = valuesArray [i];
     var rowHash = new Object();

     var newRow = createNewTableRow(copyNode, rowHash, i);
     newRow.id = newRow.id.substring(0, newRow.id.lastIndexOf('_')) + '_' + i;
     if(i % 2 > 0){
         newRow.className = newRow.className.replace("evenRow","oddRow");
     }

	 // Explicitly specify index for the table row
     newRow.selectionIndex = i;
     // Update value for table selection control (if any)
     var tableSelectionElement = findTableSelectionElement(newRow);
     if (tableSelectionElement) {
         tableSelectionElement.value = "" + i;
     }

     var columnIndex = -1;
     for(propertyName in currentRowData){
         columnIndex++;

		 var cellDataArray = rowHash[propertyName];
		 
		 for (var iaa=0; iaa<cellDataArray.length; iaa++) {
         //var cellData = rowHash[propertyName];
		 var cellData = cellDataArray[iaa];
         var cellElement = cellData.element;

         var fieldId = "DTBL_FLD_" + cellData.id.substring(0, cellData.id.lastIndexOf('_')) + "_" + i;
         var fieldName = "DTBL_FLD_" + substituteTableFieldNameRowIndex(cellData.name, i);

         cellElement.id = fieldId;

         var value = currentRowData[propertyName];

         if (cellElement.tagName == "P"){
             cellElement.innerHTML = value;

             // Synthesize hidden input field
             var fieldElement = document.createElement("INPUT");
             fieldElement.setAttribute("type", "hidden");
             fieldElement.setAttribute("id", fieldId);
             fieldElement.setAttribute("name", fieldName);
             fieldElement.setAttribute("value", value);
             cellElement.appendChild(fieldElement);
         }
         else if (cellElement.tagName == "INPUT"){
             cellElement.name = fieldName;
             cellElement.value = value;
         }
		 }
     }

     if(tableSelection != null) {
         tableSelection.appendChild(newRow);
     }
 }
}

function createNewTableRow(nodeForCopy, rowHash, index){
 var newNode = nodeForCopy.cloneNode(true);
 var nodeCells = newNode.getElementsByTagName("TD");
 //alert("nodeCells" + nodeCells.length);
 for(var i=0; i < nodeCells.length; i++){
     //alert(nodeCells[i].innerHTML);
     findCellData(nodeCells[i], rowHash);
     if (index != null) {
    	 nodeCells[i].onclick = new Function('event','selectRow(this, "single", false, ' + index + ', null, false);');
     }
 }
 return newNode;
}

function substituteTableFieldNameRowIndex(fieldName, rowIndex) {
    return fieldName.replace(/#\d+#/g, "#" + rowIndex + "#");
}

function findCellData(element, rowData){
    if (element.tagName == "P"){
        var name = element.parentNode.id.substring(element.parentNode.id.lastIndexOf("#") + 1, element.parentNode.id.length);
        rowData[name] = new Array();
		rowData[name][0] = new tw.coach.TableCellData(element.id, element.parentNode.id, element);
    }
    else if (element.tagName == "INPUT"){
        var name = element.name.substring(element.name.lastIndexOf("#") + 1, element.name.length);		
		if(rowData[name]) {
			rowData[name][rowData[name].length] =  new tw.coach.TableCellData(element.id, element.name, element);
		} else {
			rowData[name] = new Array();
			rowData[name][0] = new tw.coach.TableCellData(element.id, element.name, element);
		}
    }
    else if (element.childNodes) {
        for(var i = 0, len = element.childNodes.length; i < len; i++){
            var childElement = element.childNodes[i];
            if(childElement.tagName){
                findCellData(childElement, rowData);
			}
		}
    }
}

function findElement(parentElement, elementId){
    var result;
    if (parentElement.childNodes) {
        for(var i = 0, len = parentElement.childNodes.length; i < len && !result; i++){
            var childElement = parentElement.childNodes[i];
            if(childElement.tagName) {
                if (childElement.id = elementId) {
                	result = childElement;
                } else {
                    result = findElement(childElement, elementId);
                }
            }
        }
    }
    return result;
}

function findTableSelectionElement(parentElement){
    var result;
    if (parentElement.childNodes) {
        for(var i = 0, len = parentElement.childNodes.length; i < len && !result; i++){
            var childElement = parentElement.childNodes[i];
            if(childElement.tagName) {
               if (childElement.tagName.toUpperCase() == "INPUT" && childElement.name.indexOf("TBL_SELECTION_", 0) == 0) {
                	result = childElement;
                } else {
                    result = findTableSelectionElement(childElement);
                }
            }
        }
    }
    return result;
}

/**
 * Returns the dom element of the date selector wrapper if the id or element is referring to a date selector, otherwise
 * it returns the elementOrId that was passed in.
 * 
 * @param elementOrId - the dom element or the id of the dom element to check
 */
function getDateElementIfDateSelector(elementOrId) {
    if(!elementOrId) {
        return elementOrId;
    }

    var elementId = elementOrId.id ? elementOrId.id : elementOrId;
    // Can't check just on id name because not all date selectors have DateSelector in id name
    var dobj = dojo.byId(elementId);  //
    //delete below if statment for WLE-6825, If it is not dateSelector, the eleById would be null, it would be safety
   // if((elementId.indexOf("DateSelector") > -1) || (dojo.attr(dobj,"isdatefield") == "true")) {
        var eleById = dojo.byId("dateWrap-" + elementId);
        return eleById != null ? eleById : elementOrId;
   // }

   // return elementOrId;
}

/**
 * Get a control's true id, doing some filtering for the sate selector since the date selector is wrapped in a
 * div and given the prefix dateWrap-
 * 
 * @param control
 */
function getControlId(control) {
    var dateIndex = control.id.indexOf("DateSelector");
    if(dateIndex > -1) {
        return control.id.substring(dateIndex);
    }
    return control.id;
}

function isTextAreaMaxLength(o) {
	var nMaxLen = o.getAttribute? parseInt(o.getAttribute("maxlength")) : "";
	if (nMaxLen == "") return true;
	
	if(o.getAttribute && o.value.length >= nMaxLen){
		o.value = o.value.substring(0, nMaxLen)
		return false;
	}
	return true;
}


function getXMLElementFormat(inputValue){
return "<input name=\"elementValue\"><variable name=\"inputVar\" type=\"String\">"+inputValue.escapeHTML()+"</variable></input>";
}

/********** END OF COACH 2.0 CODE ********************/
